com.io7m.jstructural.xom

## Class SDocumentXHTMLWriterMulti

- java.lang.Object
- - com.io7m.jstructural.xom.SDocumentXHTMLWriterMulti

- All Implemented Interfaces:
    SDocumentXHTMLWriter

      public final class SDocumentXHTMLWriterMulti
      extends Object
      implements SDocumentXHTMLWriter

  An XHTML writer that produces XHTML 1.0 Strict documents, creating new pages on parts and sections.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SDocumentXHTMLWriterMulti()` Construct a new XHTML writer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setFrontPageName(String name)` Set the name that will be used for the "front page" of the produced pages.
    `SortedMap<String,nu.xom.Document>` | `writeDocuments(SDocumentXHTMLWriterCallbacks callbacks, SADocument doc)` Transform the given document into at least one XHTML file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SDocumentXHTMLWriterMulti

          public SDocumentXHTMLWriterMulti()

      Construct a new XHTML writer.

  - ### Method Detail

    - #### setFrontPageName

          public void setFrontPageName(String name)

      Set the name that will be used for the "front page" of the produced pages.

      Defaults to: `"index-m." + {@link SXHTML#OUTPUT_FILE_SUFFIX}`

      Parameters:
        `name` - The file name.

    - #### writeDocuments

          public SortedMap<String,nu.xom.Document> writeDocuments(SDocumentXHTMLWriterCallbacks callbacks,
                                                                  SADocument doc)

      Description copied from interface: `SDocumentXHTMLWriter`
      Transform the given document into at least one XHTML file.
      Specified by:
        `writeDocuments` in interface `SDocumentXHTMLWriter`
      Parameters:
        `callbacks` - A set of callbacks for document customisation
        `doc` - The document
      Returns:
        A list of XHTML files

Copyright © 2015 <code@io7m.com> http://io7m.com